Bug 311349 - Ark needs to know about application/x-source-rpm
Summary: Ark needs to know about application/x-source-rpm
Status: RESOLVED FIXED
Alias: None
Product: ark
Classification: Unclassified
Component: general (show other bugs)
Version: 2.19
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Raphael Kubo da Costa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-08 15:31 UTC by Sandro Mani
Modified: 2013-01-05 20:02 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch (1.20 KB, patch)
2012-12-08 15:31 UTC, Sandro Mani
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sandro Mani 2012-12-08 15:31:31 UTC
Description of problem:
Something changed in the mime-type database lately, and ark won't recognize src.rpm files anymore. Ark only looks for application/x-rpm but src.rpm files now are application/x-source-rpm. The attached patch adds the corresponding MIME type to ark.

Version-Release number of selected component (if applicable):
ark-4.9.90-1.fc19.x86_64
(though I guess this applies to any ark in currently maintained fedora releases)

How reproducible:
Always

Steps to Reproduce:
1. Attempt to open a src.rpm with ark
2. Ark will tell you "Ark was unable to determine the archive type of the filename"

Reproducible: Always
Comment 1 Sandro Mani 2012-12-08 15:31:48 UTC
Created attachment 75723 [details]
Patch
Comment 2 Sandro Mani 2013-01-05 00:54:55 UTC
Patch on reviewboard: https://git.reviewboard.kde.org/r/108187/
Comment 3 Rex Dieter 2013-01-05 20:02:12 UTC
Git commit 709c1fbf8a369dc1b9ae92d62b0057fe67955966 by Rex Dieter.
Committed on 05/01/2013 at 21:00.
Pushed by rdieter into branch 'KDE/4.10'.

Accept application/x-source-rpm mimetype

REVIEW: 108187

M  +1    -1    plugins/libarchive/CMakeLists.txt

http://commits.kde.org/ark/709c1fbf8a369dc1b9ae92d62b0057fe67955966